/*#####################################*/
/*   YOO MORENO LOGOTEL - TYPOGRAPHY   */
/*#####################################*/

/* ============ INFO ============ *//* 
  
  # Version:  0.1;
  # Upadated: 15/09/2021;
  # Authors:
      Andrea Tondo (a.tondo@logotel.it)

*//* ============================== */


/* ====== TABLE OF CONTENTS ====== *//*
  
  # GENERAL
  # HEADING
  # SMALL TEXT
  # LINK
  # TABLES
  # LISTS (UL & OL)
  # DESCRIPTION LISTS
  # BLOCKQUOTE
  # BUTTONS
  # INPUTS

  to do:
  - FORM

*//* ============================== */





/* ------------------- */
/* +++ # GENERAL # +++ */
/* ------------------- */

body {
  font-family: var(--LGTfontstack-body, Helvetica, Arial, sans-serif);
  font-size: var(--LGTtypesize, 1rem);
  line-height: 1.5;
  text-rendering: optimizeSpeed;
  color: var(--LGTcolor-ink, #222222);
}

p,
hr,
ul,
ol,
dl,
blockquote,
pre,
address,
fieldset,
figure {
  margin: 0 0 1.5em 0;
}

* + p,
* + hr,
* + ul,
* + ol,
* + dl,
* + blockquote,
* + pre,
* + address,
* + fieldset,
* + figure {
  margin-top: 1em;
}

code,
samp {
  padding: 0.2rem;
  font-style: normal;
  background: rgba(0, 0, 0, 0.1);
}

code {
  display: block;
  margin: 2rem 0;
}

::-moz-selection {
  background: var(--LGTcolor-primary-dark, #2A55F9);
  color: #FFFFFF;
  text-shadow: none;
}
::selection {
  background: var(--LGTcolor-primary-dark, #2A55F9);
  color: #FFFFFF;  
  text-shadow: none; 
}

mark {
  padding: 0 .2rem;
  /*
  background: linear-gradient(var(--LGTcolor-accent, #F10F64), var(--LGTcolor-accent-dark, #C10B51));
  color: #FFFFFF;
  */
  background: var(--LGTcolor-primary-dark, #2A55F9);
  color:  var(--LGTcolor-ink, #000);
  
  -webkit-box-decoration-break: clone;
  box-decoration-break: clone;
}



/* ------------------- */
/* +++ # HEADING # +++ */
/* ------------------- */

h1,h2,h3,h4,h5,h6 {
  font-family: var(--LGTfontstack-heading, Helvetica, Arial, sans-serif);
  font-weight: 700;
  line-height: 1.2;
}

h1 {
  font-size: var(--LGTtypesize-l-5);
  margin: .68em 0;
}
h2 {
  font-size: var(--LGTtypesize-l-4);
  margin: .75em 0;
}
h3 {
  font-size: var(--LGTtypesize-l-3);
  margin: .82em 0;
}
h4 {
  font-size: var(--LGTtypesize-l-2);
  margin: .90em 0;
}
h5 {
  font-size: var(--LGTtypesize-l-1);
  margin: 1em 0;
}
h6 {
  font-size: 1rem;
  text-transform: uppercase;
  margin: 1.25em 0; 
}



/* ---------------------- */
/* +++ # SMALL TEXT # +++ */
/* ---------------------- */

figcaption, small {
  font-size: var(--LGTtypesize-s-1);
}



/* ---------------- */
/* +++ # LINK # +++ */
/* ---------------- */

a {
  color: var(--LGTcolor-primary, #2A55F9);
  text-decoration: underline;
  cursor: pointer;
}

a:hover {
  color: var(--LGTcolor-primary-dark, #0634EA);
}

a:not([href]){ text-decoration: none; }

a:focus {
  outline: 1px dotted;
  outline-offset: 5px;
}

a:visited {
  text-decoration-line: dotted;
}

a::-moz-selection {
  /*color: var(--LGTcolor-accent-extralight, #F76EA3);*/
  color: var(--LGTcolor-ink);
  background: var(--LGTcolor-primary);
}

a::selection {
  /*color: var(--LGTcolor-accent-extralight, #F76EA3);*/
  color: var(--LGTcolor-ink);
  background: var(--LGTcolor-primary);
}



/* ------------------ */
/* +++ # TABLES # +++ */
/* ------------------ */

table.LGTtable {
  width: 100%;
  margin-bottom: 2rem;
  border-spacing: 0;
  border-collapse: collapse;
}

table.LGTtable td,
table.LGTtable th{
  padding: calc(var(--LGTspace, 15px)/2);
}

table.LGTtable thead th { vertical-align:bottom; }
table.LGTtable th {
  font-weight:700;
  text-align: left;
  text-transform: uppercase;
  border-bottom: 1px solid var(--LGTcolor-ink-extradark, #000);
}

table.LGTtable td {
  border-bottom: 1px solid var(--LGTcolor-ink-extralight, #545454);
}

/* set the width of th and td with no dimension specified by math and not by content */
table.LGTtable--fixed {
  table-layout:fixed;
}

/* set light background color TD or TH element */
tr.LGTtable__row--highlight td,
tr.LGTtable__row--highlight th,
td.LGTtable__cell--highlight {
  background-image: linear-gradient(to right, var(--LGTcolor-ink-20a), var(--LGTcolor-ink-20a));
}

/* set the background color of the cell with the ACCENT ot PRIMARY color */
td.LGTtable__cell--accent,
th.LGTtable__cell--accent,
th.LGTtable__cell--primary,
td.LGTtable__cell--primary {
  color: var(--LGTcolor-neutral-extralight, #FFF);
}

td.LGTtable__cell--primary,
th.LGTtable__cell--primary {
  background-color: var(--LGTcolor-primary, #2A55F9);
}

td.LGTtable__cell--accent,
th.LGTtable__cell--accent {
  background-color: var(--LGTcolor-accent, #F10F64);
}

/* set alt color for odd rows */
.LGTtable--zebra tr:nth-child(2n+1) td {
  background-image: linear-gradient(to right, var(--LGTcolor-primary-20a), var(--LGTcolor-primary-20a));
}

.LGTtable--zebra tr.LGTtable__row--highlight:nth-child(2n+1) td,
.LGTtable--zebra tr:nth-child(2n+1) td.LGTtable__cell--highlight {
  background-image: linear-gradient(to right, var(--LGTcolor-primary-20a), var(--LGTcolor-primary-20a)),
                    linear-gradient(to right, var(--LGTcolor-ink-20a), var(--LGTcolor-ink-20a));
}

/*set the width of the cell as (N*10)% */
th.LGTtable__cell--1,
td.LGTtable__cell--1 {
  width:10%;
}
th.LGTtable__cell--2,
td.LGTtable__cell--2 {
  width:20%;
}
th.LGTtable__cell--3,
td.LGTtable__cell--3 {
  width:30%;
}
th.LGTtable__cell--4,
td.LGTtable__cell--4 {
  width:40%;
}
th.LGTtable__cell--5,
td.LGTtable__cell--5 {
  width:50%;
}
th.LGTtable__cell--6,
td.LGTtable__cell--6 {
  width:60%;
}
th.LGTtable__cell--7,
td.LGTtable__cell--7 {
  width:70%;
}
th.LGTtable__cell--8,
td.LGTtable__cell--8 {
  width:80%;
}

/* breaks long words inside the cell */
td.LGTtable__cell--break{
  -ms-word-break:   break-all; 
  word-break:       break-all;
  word-wrap:        break-word;
  -webkit-hyphens:  auto;
     -moz-hyphens:  auto;
  
  hyphens: auto;
}

/*when wrapped in a .LGTscrollable--H element should have its own width */
.LGTscrollable--H table.LGTtable { width: auto; }



/* --------------------------- */
/* +++ # LISTS (UL & OL) # +++ */
/* --------------------------- */

ul,
ol {
  margin: 2em 0;
  padding: 0 0 0 2em;
  list-style: none;
}

ol {
  list-style: decimal;
}

ul li:not(:first-child),
ol li:not(:first-child) {
  margin-top: .3em;
}

ul ul,
ol ol,
ul ol,
ol ul {
  margin: .5em 0;
}

ul {
  list-style: var(--LGTlist-type,disc);
}

ul ul {
  list-style: var(--LGTlist-type,circle);
}

ul li::marker,
ol li::marker {
  color: var(--LGTcolor-primary, #EFBA00);
}

ul.LGTlist--accent li::marker,
ol.LGTlist--accent li::marker {
  color: var(--LGTcolor-accent, #F10F64);
}

/* list of line-separated elements */
ul.LGTlist--line,
ol.LGTlist--line {
  padding-left: 0;
}

ul.LGTlist--line > li,
ol.LGTlist--line > li {
  padding-left: 2em;
}

ul.LGTlist--line > li:not(:first-child),
ol.LGTlist--line > li:not(:first-child) {
  padding-top: .3em;
  border-top: 1px solid var(--LGTcolor-ink-extralight, #545454);
}



/* ----------------------------- */
/* +++ # DESCRIPTION LISTS # +++ */
/* ----------------------------- */

dl {
  margin: 2em 0;
}

dl > dt {
 color: var(--LGTcolor-ink-extradark, #000);
 font-weight:normal;
 text-transform:uppercase;
}

dl > dt:nth-child(n+2) {
  margin-top: 2em
}



/* ------------------ */
/* +++ BLOCKQUOTE +++ */
/* ------------------ */

blockquote,
#yoo-zoo .item .element-textarea > blockquote {
  margin-top: 3.2em;
  margin-bottom: 3.2em;
  /*padding-left: 2.5em;*/
  padding-left: 1em;
  border-left: .5em solid;
  font-size: var(--LGTtypesize-l-1, 20px);
  line-height: 1.3;
  /*font-style: italic;*/
  text-transform: uppercase;
  position: relative;

  color:  var(--LGTcolor-primary);
}

blockquote::before,
blockquote::after {
  content: "";
  position: absolute;
  left: -.5em;
  top: -2.2em;
  width: 1.4em;
  height: 1.1em;
  background-image: url(../images/icons/STEPX_quote.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

blockquote::after {
  transform: rotate(180deg);
  left: auto;
  top: calc(100% + .34em);
  right: 0;
}

blockquote cite,
blockquote footer { 
  margin-top:0.7em;
  font-style: normal;
  color: var(--LGTcolor-ink-dark, #080808);
}

blockquote cite:before,
blockquote footer:before {
  content: "- ";
}


/* ---------------------- */
/* +++ CALL TO ACTION +++ */
/* ---------------------- */

.LGTcalltoaction {
  margin-top: 3.2em!important;
  margin-bottom: 3.2em!important;
  padding-left: 1em;
  border-left: .5em solid;
  font-size: var(--LGTtypesize-l-1, 20px);
  line-height: 1.3;
  text-transform: uppercase;
  position: relative;
  color: var(--LGTcolor-primary);
}


/* --------------- */
/* +++ BUTTONS +++ */
/* --------------- */

.LGTbutton,
button:not([class]),
.btn,
.uk-button {
  cursor: pointer;
  position: relative;
  /*display: inline-block;*/
  display: inline-flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  min-width: 7.5em;
  /*height: 2.5em;*/
  min-height: 2.5em;
  margin: .2em .4em;

  border: 1px solid;

  padding: 0 1em;
  line-height: calc(2.5em - 2px);
  color: var(--LGTcolor-ink-extradark);

  font-size: 1rem;
  /*font-weight: 500;
  letter-spacing: .1rem;*/
  /*line-height: calc(2.5em - 2px);*7
  text-align: center;
  vertical-align: middle;
  text-decoration: none;
  text-transform: uppercase;

  cursor: pointer;
  user-select: none;

  outline: none;
  background-color: transparent;
  /*white-space: nowrap;*/

  isolation: isolate;

  text-transform: uppercase;
  text-decoration: none;
}

.LGTbutton:hover,
.LGTbutton:focus,
button:not([class]):hover,
button:not([class]):focus,
.btn:hover,
.btn:focus,
.uk-button:hover,
.uk-button:focus {
  color: var(--LGTcolor-ink-extradark);
  text-decoration: none;
}

.LGTbutton:focus,
button:not([class]):focus,
.btn:focus,
.uk-button:focus {
  outline: 1px dotted;
  outline-offset: 4px;
}


.LGTbutton:before,
button:not([class]):before,
.btn:before,
.uk-button:before {
  content:"";
  position:absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 0;
  background: var(--LGTcolor-primary);
  transition: opacity .2s cubic-bezier(.4,0,1,1);
  z-index: -1;
}

.LGTbutton:hover:before,
button:not([class]):hover:before,
.btn:hover:before,
.uk-button:hover:before {
  opacity: 1;
  transition: opacity .2s cubic-bezier(.4,0,1,1);
}

.LGTbutton:active:before,
button:not([class]):active:before,
.btn:active:before,
.uk-button:active:before {
  opacity: 1;
  transition: opacity .2s cubic-bezier(.4,0,1,1);
}

.LGTbutton[disabled][disabled],
.LGTbutton--disabled.LGTbutton--disabled {
  color: var(--LGTcolor-ink-extralight);
  cursor: default;
  pointer-events: none;
  background-color: transparent;
}

.LGTbutton--big {
  font-size: 1.5em;
}


.LGTbutton--block{
  /*display: block;*/
  display: flex;
  margin-left: 0;
  margin-right: 0;
  margin-bottom: 1rem;
  width: 100%;
  max-width: 300px;
}


.LGTbutton--neg {
  color: var(--LGTcolor-neutral-extralight);
}

.LGTbutton--neg:before {
  background: var(--LGTcolor-primary-extradark);
}

/* .LGTbutton--neg:before { background: #FFF; } */


.LGTbutton--neg[disabled][disabled],
.LGTbutton--neg.LGTbutton--disabled.LGTbutton--disabled{
  color: var(--LGTcolor-neutral-20a);
}


.LGTbutton .LGTicon:not(.LGTicon--left):last-child {
  margin-right: -.5rem;
  vertical-align: text-top;
}

.LGTbutton .LGTicon.LGTicon--left:first-child {
  margin-left: -.5rem;
  margin-right: .5em;
  vertical-align: text-top;
}


.btn svg {
  width: 24px;
  height: 24px;
}

.LGTpanel--sidebar-b.LGT-HPprofiletto .LGTbutton,
.LGTpanel--sidebar-b.LGT-HPchangeview .LGTbutton,
.LGTpanel--sidebar-b.LGT-HPpeoplemanager .LGTbutton {
  width: 100%;
  padding: 0;
  margin-left: 0;
  margin-right: 0;
}
.LGTpanel--sidebar-b.LGT-HPpeoplemanager .LGTbutton {
  margin-bottom: 1rem;
}

.LGTpanel--sidebar-b.LGT-HPprofiletto .LGTbutton.LGTbutton--block {
  max-width: unset;
  text-align: center;
}

.btn--editorialcalendar {
  margin-top: 3rem;
}

/* ------------------- */
/* +++ END BUTTONS +++ */
/* ------------------- */


/* -------------- */
/* +++ INPUTS +++ */
/* -------------- */
input[type="text"],
input[type="search"],
input[type="password"],
input[type="email"],
select,
textarea,
#yoo-zoo #comments #respond textarea,
.textntags-wrapper textarea {
  padding: 10px;
  border: 1px solid;
  border-radius: 3px;
  font-size: var(--LGTtypebase, 16px);
  line-height: 1.5;
  color: var(--LGTcolor-ink, #222);
  border-color: var(--LGTcolor-ink, #222);
}
/* ------------------ */
/* +++ END INPUTS +++ */
/* ------------------ */